<?php

namespace Benhauer\Salesmanago\Model;

class DummyDataProvider extends \Magento\Ui\DataProvider\AbstractDataProvider
{
    public function __construct(
        $name = '',
        $primaryFieldName = '',
        $requestFieldName = ''
    ) {
        $this->name = $name;
        $this->primaryFieldName = $primaryFieldName;
        $this->requestFieldName = $requestFieldName;
    }

    /**
     * @return array
     */
    public function getData()
    {
        return;
    }

    public function addFilter(\Magento\Framework\Api\Filter $filter)
    {
        return;
    }
}
